* {
  margin: 0px;
  padding: 0px;
  font: 14px "Helvetica", "Helvetica-Bold", "Helvet";
}

body {
  overflow: hidden;
}

.contenido .dataTables_wrapper {
  margin-left: 0;
}

input {
  font-size: 10pt;
  padding-left: 2px;
  padding-right: 2px;
  padding-top: 4px;
  padding-bottom: 4px;
  font-weight: normal;
}

select {
  font-size: 10pt;
  padding-left: 2px;
  padding-right: 2px;
  padding-top: 4px;
  padding-bottom: 4px;
  font-weight: normal;
}

.sidebar {
  display: flex;
  flex-direction: column;
  left: 0px;
  position: fixed;
  width: 254px;
  height: calc(100% - 72px);
  background: #283573;
  color: #fff;
  z-index: 1000;
  transition: all 0.33s;
  border-width: 2px;
  border-color: black;
  overflow-y: auto;
  overflow-x: hidden;
  transition: width 0.3s;
  box-sizing: border-box;
}

.sidebar.collapsed {
  width: 84px;
}

.menu {
  margin-bottom: 16px !important;
}

/* Aplica el tamaño de fuente a los <a> dentro de los <li> con clase "menu" */
.menu > a {
  font-size: 16px !important;
  /* Ajusta el tamaño de fuente aquí */
}

/* Asegúrate de que el tamaño de fuente también se aplique a los elementos <i> y <span> dentro de los <a> */
.menu > a > i {
  font-size: 24px !important;
  /* Ajusta el tamaño de fuente aquí */
  vertical-align: sub !important;
  margin-right: 6px;
}

.sidebar.collapsed .menu a {
  display: flex;
  align-items: center;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  text-align: center;
  justify-content: center;
}

.sidebar.collapsed .menu a span.text {
  display: none;
}

.sidebar.collapsed .menu a .fa,
.sidebar.collapsed .menu a .fas {
  display: inline-block;
  margin-right: 0;
  float: none;
  font-size: 24px !important;
}

.sidebar ul {
  flex-grow: 1;
  margin: 0;
  padding: 0;
  list-style: none;
}

.sidebar-footer {
  position: relative;
  bottom: 0;
  width: 100%;
  box-sizing: border-box;
}

.sidebar::-webkit-scrollbar {
  display: none;
  /* Oculta las barras de desplazamiento en WebKit (Chrome, Safari) */
}

/* Estilos específicos para sidebar2 */
.sidebar2 {
  position: fixed;
  left: 0;
  top: 0;
  height: 100%;
  width: 250px;
  background: #283573;
  color: #fff;
  z-index: 1000;
  transition: all 0.3s;
  overflow-y: auto;
  border-right: 2px solid black;
}

.sidebar2 .info-section {
  padding: 20px;
  border-bottom: 1px solid #1d2b56;
}

.sidebar2 .info-section:last-child {
  border-bottom: none;
}

.sidebar2 .info-section .title {
  font-size: 16px;
  font-weight: bold;
}

.sidebar2 .info-section .content {
  margin-top: 10px;
}

.sidebar2 .info-section .content .info-item {
  display: flex;
  align-items: center;
  margin-bottom: 10px;
}

.sidebar2 .info-section .content .info-item .status-dot {
  height: 10px;
  width: 10px;
  border-radius: 50%;
  margin-right: 10px;
}

.sidebar2 .info-section .content .info-item .status-dot.gray {
  background-color: #bbb;
}

.sidebar2 .info-section .content .info-item .text {
  font-size: 14px;
}

.sidebar ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.sidebar ul li {
  transition: all 0.33s;
  text-align: left;
  margin: 0;
  /* Eliminar margen */
}

.sidebar ul li ul li span {
  margin-right: 6px;
}

.sidebar a {
  display: block;
  color: white;
  background: #283573;
  padding: 8px 15px;
  text-decoration: none;
  font-size: 13px;
  transition: width 0.3s;
}

.sidebar a:hover {
  background: #ececec;
  color: #283573;
}

.sidebar ul ul {
  background: #283573;
  display: none;
}

.sidebar ul ul a {
  padding-left: 42px;
  font-size: 12px;
  vertical-align: middle !important;
}

.sidebar.open ul ul {
  display: block;
}

.contenido {
  position: absolute;
  top: 72px;
  left: 254px;
  /* Espacio para el sidebar expandido */
  right: 0;
  bottom: 0;
  background: white;
  padding: 8px;
  transition: left 0.33s;
}

.sidebar.collapsed ~ .contenido {
  left: 84px;
  /* Espacio para el sidebar colapsado */
}

.contenido table td.highlight {
  background-color: #f1f1f1;
}

.moveMenu2Left {
  width: 60px;
  /* Ajusta para mantener los íconos visibles */
  transition: width 0.3s;
}

.moveContent2Left {
  position: absolute;
  right: 0;
  left: 60px;
  /* Ajusta para dejar espacio al sidebar colapsado */
  top: 72px;
  bottom: 0;
  transition: left 0.3s;
}

.sidebar .toggle-btn {
  position: fixed;
  top: 50%;
  left: calc(266px - -4px);
  /* Ajusta según el ancho del sidebar expandido */
  transform: translateX(-100%) translateY(-50%);
  /* Mueve el botón hacia la izquierda para centrarlo verticalmente */
  background: #ffea2f;
  color: #283573;
  border: none;
  width: 32px;
  /* Ajusta el tamaño del círculo aquí */
  height: 32px;
  /* Asegúrate de que sea igual al ancho */
  border-radius: 50%;
  /* Esto asegura que el botón sea un círculo perfecto */
  padding: 0;
  /* Elimina el relleno para mantener la forma del círculo */
  cursor: pointer;
  transition: background 0.3s ease, left 0.3s ease;
  z-index: 1001;
  display: flex;
  /* Utiliza flexbox para centrar el contenido */
  align-items: center;
  /* Centra verticalmente el contenido dentro del círculo */
  justify-content: center;
  /* Centra horizontalmente el contenido dentro del círculo */
}

.sidebar.collapsed .toggle-btn {
  left: calc(60px - -40px);
  /* Ajusta para centrar el botón en el borde del sidebar colapsado */
}

.sidebar .toggle-btn:hover {
  background: white;
}

.sidebar .toggle-btn i {
  font-size: 16px;
}

.topbar {
  position: relative;
  width: 100%;
  background: #283573;
  display: flex;
  justify-content: space-between;
}

.left-section {
  display: flex;
  align-items: center;
  flex: 0.5;
}

.central-section {
  display: flex;
  align-items: center;
}

.right-section {
  display: flex;
  align-items: center;
  padding-bottom: 4px !important;
}

.search-section {
  display: flex;
  align-items: center;
  /* Alinea verticalmente el contenido del search-section */
  margin: 0 20px;
  /* Ajusta el espacio alrededor del ícono y el input */
}

.logoE2T {
  text-decoration: none;
  color: white;
}

.dolar {
  padding: 6px;
  background: #283573;
  display: flex;
  align-items: center;
}

.dolar .ticket {
  color: #c4c4c5;
  text-align: right;
  background-color: transparent;
  font-size: x-large;
  font-weight: bold;
}

.dolar .bid {
  color: green;
  text-align: right;
  background-color: transparent;
  font-size: x-large;
  font-weight: bold;
  margin-left: 20px;
  /* Ajuste de margen entre los elementos */
}

.dolar .ask {
  color: red;
  text-align: right;
  background-color: transparent;
  font-size: x-large;
  font-weight: bold;
  margin-left: 20px;
  /* Ajuste de margen entre los elementos */
}

.clock {
  width: 250px;
  /* Ajusta el ancho del reloj según sea necesario */
  height: 70px;
  /* Ajusta la altura del reloj según sea necesario */
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 5px;
}

.clockfont {
  color: #fff;
  font-size: 55px;
  font-family: "digital7";
  letter-spacing: 3px;
}

.clockfontPMAM {
  color: #c4c4c5;
  font-size: 55px;
  font-family: "digital7";
  letter-spacing: 3px;
}

.tableUser {
  display: flex;
  align-items: center;
}

.tableUser td {
  text-decoration: none;
  color: #c4c4c5;
}

.company {
  font-size: 21pt;
  text-decoration: none;
  color: #f1f1f1;
}

.avatar {
  text-decoration: none;
  height: 28px;
  width: 28px;
}

.widescreen,
.home {
  text-decoration: none;
  color: white;
  cursor: pointer;
  font-size: large;
  margin-left: 10px;
  /* Ajuste de margen entre los elementos */
}

.sign {
  margin-left: 10px;
  right: 16px;
  bottom: 4px;
  color: #c4c4c5;
  z-index: 1;
}

.datatr:hover {
  background: white;
}

.strValue {
  text-align: left;
}

.numValue {
  text-align: right;
}

.bidValue {
  color: green;
}

.askValue {
  color: red;
}

.contenido .invisible {
  background: transparent;
  color: transparent;
  padding: 8px;
  border: 1px outset transparent;
}

.contenido .firstCol {
  padding-left: 8px;
  text-align: left;
  background: #f1f1f1;
  width: 128px;
}

.contenido table tbody tr td .highlight {
  background-color: #f1f1f1;
}

.BOT {
  color: green;
}

.SLD {
  color: red;
}

.PAUSE {
  color: orange;
}

.contenido .boughtAmount {
  background: transparent;
  color: green;
  text-align: right;
  width: 160px;
  border: 0px;
  font-size: 14pt;
  font-weight: bold;
}

.contenido .soldAmount {
  background: transparent;
  color: red;
  text-align: right;
  width: 160px;
  border: 0px;
  font-size: 14pt;
  font-weight: bold;
}

.contenido .netAmount {
  background: transparent;
  color: black;
  text-align: right;
  width: 160px;
  border: 0px;
  font-size: 14pt;
  font-weight: bold;
}

fieldset {
  width: fit-content;
  padding: 16px;
  margin: 16px;
}

.iconAction {
  text-decoration: none;
  cursor: pointer;
}

.blue {
  color: blue;
}

.red {
  color: red;
}

.graydot {
  height: 12px;
  width: 12px;
  background-color: gray;
  border-radius: 50%;
  float: left;
}

.yellowdot {
  height: 12px;
  width: 12px;
  background-color: #ffea2f;
  border-radius: 50%;
  float: left;
}

.bluedot {
  height: 12px;
  width: 12px;
  background-color: #007fff;
  border-radius: 50%;
  float: left;
}

.greendot {
  height: 12px;
  width: 12px;
  background-color: chartreuse;
  border-radius: 50%;
  float: left;
}

.itemselected {
  float: right;
}

.iconAction {
  text-decoration: none;
  cursor: pointer;
}

.toolbar {
  float: left;
}

th,
td {
  white-space: nowrap;
}

div.dataTables_wrapper {
  margin: 0 auto;
}

.BOT2 {
  color: green;
  font-weight: bold;
  font-size: 16px;
}

.SLD2 {
  color: red;
  font-weight: bold;
  font-size: 16px;
}

.dataTables_scrollHead {
  width: 100% !important;
}

.dataTables_scrollBody {
  width: 100% !important;
}

.dataTables_scrollHeadInner {
  width: 100% !important;
}

#dataTableOrders_wrapper .dataTables_scrollHeadInner table {
  table-layout: fixed;
}

th.fixedcolumnleft {
  background-color: white;
  z-index: 2;
}

td.fixedcolumnleft {
  background-color: whitesmoke;
  z-index: 2;
}

th.fixedcolumnright {
  background-color: white;
  text-align: right;
  z-index: 2;
}

td.fixedcolumnright {
  background-color: whitesmoke;
  text-align: right;
  z-index: 2;
}

thead input {
  width: 100%;
}

.spacer {
  background-color: white;
  border-top: none !important;
  border-bottom: none !important;
}

.contenido .dataTables_scrollBody tr:hover td {
  background: #a5a5a5 !important;
  color: white;
}

.selected td {
  background: #ffeb9c !important;
}

.contenido .dataTables_scrollHead tr th {
  vertical-align: bottom;
}

.ui-autocomplete-category {
  font-weight: bold !important;
  padding: 0.2em 0.4em !important;
  margin: 0.8em 0 0.2em !important;
  line-height: 1.5 !important;
}

ul {
  z-index: 1001 !important;
}

.ZERO {
  color: black;
}

.blink_me {
  color: #ffea2f;
  font-weight: bold;
  animation: blinker 1s linear infinite;
}

@keyframes blinker {
  50% {
    opacity: 0;
  }
}

.widescreen:hover,
.home:hover {
  color: #ffea2f;
}

@font-face {
  font-family: "digital7";
  src: url("../fonts/digital-7.ttf") format("truetype");
}

.normal-fixed {
  color: #000000;
  background-color: whitesmoke !important;
  z-index: 3;
}

.normal {
  color: #000000;
  background-color: white !important;
  z-index: 3;
}

.good {
  color: #006100;
  background-color: #c6efce !important;
  z-index: 3;
}

.bad {
  color: #9c0006;
  background-color: #ffc7ce !important;
  z-index: 3;
}

.neutral {
  color: #9c5700;
  background-color: #ffeb9c !important;
  z-index: 3;
}

.calculation {
  color: #fa7d00;
  background-color: #f2f2f2 !important;
  z-index: 3;
}

.verification {
  color: white;
  background-color: #a5a5a5 !important;
  z-index: 3;
}

.input {
  color: #3f3f76;
  background-color: #ffcc99 !important;
  z-index: 3;
}

.note {
  color: #000000;
  background-color: #ffffcc !important;
  z-index: 3;
}

.output {
  color: #3f3f3f;
  background-color: #f2f2f2 !important;
  z-index: 3;
}

.buy-cell {
  color: green;
  background-color: white;
}

.sell-cell {
  color: red;
  background-color: white;
}

.bit {
  font-size: 10px;
}

.mid {
  font-size: 13px;
}

.big {
  font-size: 16px;
}

.bold-cell {
  font-weight: bold;
}

#btnStopAll {
  background-color: red;
  color: white;
}

#btnStopAll:hover {
  opacity: 85%;
}

#btnStopAll:active {
  background-color: white;
  color: red;
}

.watermark {
  position: absolute;
  right: 16px;
  bottom: 8px;
  color: #c4c4c5;
  z-index: 1;
  font-size: 17px;
}

.context {
  position: absolute;
  bottom: 8px;
  left: 12px;
  color: #c4c4c5;
  z-index: 1;
  font-size: 17px;
}

/* Agregar el siguiente estilo para ocultar los d?as del datepicker */
.hide-days .ui-datepicker-calendar {
  display: none;
}

/* Agregar el siguiente estilo para ocultar los botones Today y Done */
.hide-days .ui-datepicker-current,
.hide-days .ui-datepicker-close {
  display: none;
}

/* Estilos para el contenedor del datepicker y el bot?n */
.datepicker-container {
  display: flex;
  align-items: center;
}

/* Estilos para el bot?n */
#datepicker-button {
  background-color: #007bff;
  color: #fff;
  border: none;
  border-radius: 4px;
  padding: 6px 10px;
  cursor: pointer;
  margin-left: 10px;
  /* Espacio entre los tabs y el datepicker */
}

/* Estilos para el texto de la fecha seleccionada */
#selected-date {
  margin-left: 10px;
}

.custom-cancel-button {
  background-color: red !important;
  color: white !important;
}

.ajs-message.ajs-custom {
  color: #31708f;
  background-color: #d9edf7;
  border-color: #31708f;
}

/* Estilos para las notificaciones de Alertify */
.alertify-notifier .ajs-message {
  width: 320px !important;
  /* Ancho fijo para las notificaciones */
  height: auto !important;
  /* Altura autom?tica para ajustar al contenido */
  padding: 8px !important;
  margin: 6px !important;
  display: flex;
  /* Usar display flex para alinear verticalmente */
  align-items: left;
  /* Alinear al centro verticalmente */
  justify-content: left;
  /* Alinear al centro horizontalmente */
}

.alertify-notifier.ajs-right .ajs-message.ajs-visible {
  right: 345px !important;
}

.login-body {
  margin: 0;
  font-family: Arial, sans-serif;
  background-color: #0c2556;
  color: white;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  height: 100vh;
}

.login-container {
  flex: 1;
  display: flex;
  flex-wrap: wrap;
}

.login-left {
  flex: 1;
  background-color: #0c2556;
  display: flex;
  flex-direction: column;
  justify-content: center;
  position: relative;
  padding: 0;
  box-sizing: border-box;
}

.login-logo-container {
  display: flex;
  align-items: center;
  position: absolute;
  top: 80px;
  left: 80px;
}

.login-logo-container img {
  max-width: 180px;
  max-height: 60px;
}

.login-separator {
  width: 1px;
  height: 60px;
  background-color: white;
  margin: 0 20px;
}

.login-form {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin-left: 80px;
}

.login-form h1 {
  margin: 0;
  font-size: 24px;
}

.login-form p {
  margin: 20px 0;
  font-size: 16px;
}

.login-form button {
  background-color: #0078d4;
  color: white;
  border: none;
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: none;
}

.login-form button img {
  margin-right: 10px;
}

.login-form button:hover {
  background-color: #0078d4;
  box-shadow: none;
  border: none;
  transform: none;
}

.login-right {
  flex: 1;
  background-image: url("/images/login-background.png");
  background-size: cover;
  background-position: center;
}

.login-watermark {
  position: absolute;
  right: 80px;
  bottom: 80px;
  color: #c4c4c5;
  font-size: 14px;
}

.login-contact-link {
  position: absolute;
  left: 80px;
  bottom: 80px;
  color: white;
  font-size: 14px;
}

/* Media Queries para pantallas pequeñas */
@media (max-width: 1650px) {
  .login-left {
    padding: 20px;
  }

  .login-logo-container {
    position: static;
    margin-bottom: 150px;
    text-align: center;
    justify-content: center;
  }

  .login-logo-container img {
    max-width: 120px;
    max-height: 40px;
  }

  .login-form {
    margin-left: 0;
    align-items: center;
    margin-bottom: 150px;
  }

  .login-watermark,
  .login-contact-link {
    position: static;
    text-align: center;
    margin-top: 20px;
  }

  .login-watermark {
    color: #c4c4c5;
  }

  .login-contact-link {
    color: white;
  }

  .login-right {
    background-position: center;
    background-size: cover;
  }
}

/* Media Queries para pantallas muy pequeñas */
@media (max-width: 480px) {
  .login-form h1 {
    font-size: 20px;
  }

  .login-form p {
    font-size: 14px;
  }

  .login-form button {
    font-size: 14px;
    padding: 8px 16px;
  }

  .login-form button img {
    width: 20px;
    height: 20px;
  }

  .login-logo-container img {
    max-width: 100px;
    max-height: 30px;
  }
}

@media (max-height: 480px) {
  .login-left {
    padding: 20px;
  }

  .login-logo-container {
    position: static;
    margin-bottom: 150px;
    text-align: center;
    justify-content: center;
  }

  .login-logo-container img {
    max-width: 120px;
    max-height: 40px;
  }

  .login-form {
    margin-left: 0;
    align-items: center;
    margin-bottom: 150px;
  }

  .login-watermark,
  .login-contact-link {
    position: static;
    text-align: center;
    margin-top: 20px;
  }

  .login-watermark {
    color: #c4c4c5;
  }

  .login-contact-link {
    color: white;
  }

  .login-right {
    background-position: center;
    background-size: cover;
  }

  .sidebar .toggle-btn {
    display: none;
    /* Oculta el botón de alternancia cuando la altura de la ventana es menor o igual a 480px */
  }
}

.stop {
  background-color: red !important;
  color: white !important;
}

.start {
  background-color: green !important;
  color: white !important;
}

.custom-cancel-button {
  background-color: red !important;
  color: white !important;
}

.box .dataTables_empty {
  display: none !important;
}

#tabsOrders .ui-tabs-panel[aria-hidden="false"] {
  display: none;
}
.non-selectable {
  color: #888; /* Color gris para indicar que no está disponible */
}

#positionsSelect option[value=""] {
  display: none; /* Oculta la opción no seleccionable */
}

#positionsSelect-button {
  width: 80px !important;
  height: 23px !important;
  display: inline-flex;
  flex-direction: row-reverse;
  align-items: center;
  justify-content: center;
}

#tableContainerWrapper {
  font-family: Arial, sans-serif;
  background-color: #f0f0f0; /* Fondo general de la página */
  margin: 0;
  padding: 20px;
  width: 100%;
  height: 100vh; /* Ocupa toda la altura del viewport */
  display: flex;
  justify-content: center;
  align-items: flex-start;
  box-sizing: border-box; /* Incluye el padding dentro del tamaño del contenedor */
}

#tableContainer {
  width: 100%;
  max-width: 1200px;
  background-color: white;
  border-radius: 8px;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
  padding: 20px;
  overflow: auto; /* Permitir desplazamiento si es necesario */
}

#statusTable {
  width: 100%;
  border-collapse: collapse;
}

#statusTable th {
  background-color: #283573 !important; /* Color del encabezado con !important */
  color: white !important; /* Color del texto con !important */
  padding: 10px;
  text-align: left;
  position: sticky;
  top: 0;
  z-index: 2;
}

#statusTable td {
  padding: 10px;
  border-bottom: 1px solid #ddd;
  color: #283573; /* Texto en color azul oscuro */
}

#statusTable tbody tr:nth-child(even) {
  background-color: whitesmoke; /* Fondo de filas pares */
}

/* Aplica el estilo de hover a las filas */
#statusTable tbody tr.hover,
#statusTable tbody td.hover {
  background-color: #ffeb9c; /* Hover effect con color amarillo */
}

.connect-status,
.producerConnected-status {
  font-weight: bold;
}

.connect-status.green,
.producerConnected-status.green {
  color: green;
}

.connect-status.red,
.producerConnected-status.red {
  color: red;
}

#tableImport table {
  width: 100%;
  border-collapse: collapse;
}

#tableImport th,
#tableImport td {
  border: 1px solid #ddd;
  padding: 8px;
}

#tableImport th {
  background-color: #f2f2f2;
  text-align: left;
}

#pasteArea {
  resize: none; /* Evitar el redimensionamiento del textarea */
}

#pasteDialog.ui-dialog {
  resize: none; /* Evitar el redimensionamiento del cuadro de diálogo específico */
}

#dataTableEntidades {
  min-width: 100%;
  max-width: 100%;
  table-layout: fixed;
}

#dataTableEntidades th,
#dataTableEntidades td {
  white-space: nowrap; 
  overflow: hidden; 
  text-overflow: ellipsis; 
}
#compraButton {
    margin-left: 16px !important;
}
#detenerTodoButton {
    margin-right: 16px !important;
}
.stopBlack {
	background-color: black !important;
	color: white !important;
}